Package org.apache.storm.container.cgroup

## Class Hierarchy

- java.lang.Object
- - org.apache.storm.container.cgroup.Hierarchy

-     public class Hierarchy
      extends Object

  A class that describes a cgroup hierarchy.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Hierarchy​(String name, Set<SubSystemType> subSystems, String dir)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getDir()` |
    `String` | `getName()` |
    `CgroupCommon` | `getRootCgroups()` |
    `Set<SubSystemType>` | `getSubSystems()` | get subsystems.
    `String` | `getType()` | get all subsystems in hierarchy as a comma delimited list.
    `int` | `hashCode()` |
    `boolean` | `isSubSystemMounted​(SubSystemType subsystem)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Hierarchy

          public Hierarchy​(String name,
                           Set<SubSystemType> subSystems,
                           String dir)

  - ### Method Detail

    - #### getSubSystems

          public Set<SubSystemType> getSubSystems()

      get subsystems.

    - #### getType

          public String getType()

      get all subsystems in hierarchy as a comma delimited list.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getDir

          public String getDir()

    - #### getRootCgroups

          public CgroupCommon getRootCgroups()

    - #### getName

          public String getName()

    - #### isSubSystemMounted

          public boolean isSubSystemMounted​(SubSystemType subsystem)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`